​
Select Service
ves-io-schema-network_policy_rule-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting network_policy_rule
Usecase:
Get network-policy-rule-1
Request using vesctl:
vesctl configuration get network_policy_rule network-policy-rule-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: network-policy-rule-1 namespace: documentationreferringObjects: []resourceVersion: "1976"spec: action: ALLOW labelMatcher: keys: - app ports: - "80" prefixSelector: expressions: - app == web protocol: TCPstatus: []systemMetadata: creationTimestamp: "2026-04-13T01:59:58.678043Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: e91e6c53-a5c4-4e37-a7de-87b6265859acRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/network_policy_rules/network-policy-rule-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1085Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:58 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1976", "metadata": { "name": "network-policy-rule-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "e91e6c53-a5c4-4e37-a7de-87b6265859ac", "creation_timestamp": "2026-04-13T01:59:58.678043Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "action": "ALLOW", "ports": [ "80" ], "protocol": "TCP", "prefix_selector": { "expressions": [ "app == web" ] }, "label_matcher": { "keys": [ "app" ] }, "advanced_action": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}